package com.bocloud.ims.interfaces.resource.azure.automation;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.azure.automation.LogAnalytic;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: LogAnalyticService
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2020/8/10 11:23
 */
public interface LogAnalyticService {

    BocloudResult<GridBean<LogAnalytic>> list(Pager pager, RequestContext context);

    BocloudResult<LogAnalytic> detail(Long id, RequestContext context);

    BocloudResult<Void> modify(LogAnalytic entityParams, RequestContext context);

    BocloudResult<Void> create(LogAnalytic entityParams, RequestContext context);

    BocloudResult<Void> remove(Long id, RequestContext context);

    //星巴克poc专用---------------------------------
    BocloudResult detail(LogAnalytic entityParams);

    BocloudResult list(String params);

    BocloudResult sharedKeys(String params);

    BocloudResult linkedServices(String params);

    BocloudResult remove(String params);

    BocloudResult queryLogAnalytic(String params);

}